/* Parser.h -     */

#ifndef __PARSER_H
#define __PARSER_H

#include <iostream>

using namespace std;

#include "ClString.h"

_CLASSDEF(TParser)

class TParser
  {

  public:

    TParser( RCString file_name )
      { name = new String( file_name ); }
    virtual ~TParser()
      { delete name; }

  protected:

    //     
    virtual unsigned int line() = 0;
    virtual int yyerror( const char* );
    void __yy_memcpy ( char*, char* , unsigned int );

    PString name;

  };

#endif  // __PARSER_H

